#!/usr/local/bin/perl

while (<STDIN>) {
    # deal with a series of items that look like this:
    # ( "name=val", "name2=val2", ...)
    undef(%items, @line);
    chop;
    @line = split(',');
    foreach $item (@line) {
	undef($lhs, $rhs);
	$item =~ /\(?\s*\"([^=]*)=([^\"]*)\"/;
	$lhs = $1; $rhs = $2;
	if (defined($lhs) && defined($rhs)) {
	    eval "\$$lhs = \"$rhs\";";
	}
    }
    if (!defined($node{$src_as})) {
	$node{$src_as} = $nodenum++;
	$othernode[$nodenum] = $src_as;
    }
    if (!defined($node{$dst_as})) {
	$node{$dst_as} = $nodenum++;
	$othernode[$nodenum] = $dst_as;
    }
    $edge[$e++] = "$src_as $dst_as" unless $src_as == $dst_as;
}

printf "%d %d n \n", $nodenum, $#edge;

for ($i = 0; $i < $nodenum; $i++) {
    printf "%d icosahedron red\n", $othernode[$i];
}

foreach $item (@edge) {
    ($src, $dst) = split(" ",$item);
    printf "%d %d\n" ,$node{$src}+1, $node{$dst}+1;
}

