#!/usr/sbin/perl

# cache2edge.perl
# canonicalize traceroute to edge format:
# lines of quoted name/value pairs separated by commas, all enclosed in parens
# i.e.
# ( "srchost=uc.cache.nlanr.net", "srcip=141.142.121.5", .... )
# 4/96
# tamara munzner

$ip{"sd"} = "198.17.46.58";
$ip{"sv"} = "192.203.230.19";
$ip{"bo"} = "192.52.106.30";
$ip{"uc"} = "141.142.121.5";
$ip{"pb"} = "128.182.72.190";
$ip{"it"} = "132.236.77.25";

$srcname{"sd"} = "sd.cache.nlanr.net";
$srcname{"pb"} = "pb.cache.nlanr.net";
$srcname{"sv"} = "sv.cache.nlanr.net";
$srcname{"it"} = "it.cache.nlanr.net";
$srcname{"uc"} = "uc.cache.nlanr.net";
$srcname{"bo"} = "bo.cache.nlanr.net";


while (<STDIN>){
    chop;
    @line = split(' ');
#print "### ", join('%',@line), "%\n";
    if ($lostit == 1) {
	shift(@line); # toss number
	while ($line[0] eq "*") {
	    $miss++;
	    shift(@line);
	    if ($miss > 3) {
		$lostit = 1;
		next;
	    }
	}
	$srchost = "\L$line[0]\E" if $line[0] =~ /[a-z]|[A-Z]/;
	$srcip = substr($line[1], 1, length($line[1]) -2);
	$lostit = 0;
    } elsif ($line[0] =~ /^traceroute$/) {
	$lostit = 0;
	$go = 1;
	$srchost = $src;
	$srcip = $ip{$key};
    } elsif ($line[0] =~ /HOSTNAME:/) {
	$lostit = 0;
	$src = "\L$line[1]\E";
	($key, $junk) = split('\.',$line[1]);
#	print "SRC IS $src, KEY IS $key !!!!!\n";
	$go = 0;
    } elsif ($go == 1) {
	shift(@line); # toss number
	$miss = 0;
        # 3 stars in a row means no data for that hop
	while ($line[0] eq "*") {
	    $miss++;
	    shift(@line);
	    if ($miss == 3) {
		$lostit = 1;
		next;
	    }
	}

	$dsthost = "\L$line[0]\E";
	if (length($dsthost) == 2) {
	    foreach $k (sort keys(%srcname)) {
		$dsthost = $srcname{$k} if $dsthost eq $k;
	    }
	}
#	$dstip = ($line[2] =~ s/\(([0-9\.]*)\)/$1/);
	$dstip = substr($line[1], 1, length($line[1])-2);
	$str = "(";
	$str .= " \"srchost=$srchost\"," if $srchost =~ /[a-z]|[A-Z]/;
	$str .= " \"dsthost=$dsthost\"," if $dsthost =~ /[a-z]|[A-Z]/;
	$str .= " \"srcip=$srcip\", \"dstip=$dstip\")\n";
	printf $str if $dstip =~ /[0-9]/; # don't print out when line is blank
	$srchost = $dsthost;
	$srcip = $dstip;
    } else {
	$go = 0;
    }
}
